# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "slumber_tui"
version = "2.0.0"
authors = ["Lucas Pickering <lucas@lucaspickering.me>"]
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Terminal user interface for Slumber. Not intended for external use."
homepage = "https://slumber.lucaspickering.me"
readme = false
keywords = [
    "rest",
    "http",
    "terminal",
    "tui",
]
license = "MIT"
repository = "https://github.com/LucasPickering/slumber"

[package.metadata.release]
tag = false

[lib]
name = "slumber_tui"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.0"

[dependencies.chrono]
version = "0.4.31"
default-features = false

[dependencies.cli-clipboard]
version = "0.4.0"

[dependencies.crossterm]
version = "0.28.0"
features = [
    "events",
    "bracketed-paste",
    "windows",
    "events",
    "event-stream",
]
default-features = false

[dependencies.derive_more]
version = "1.0.0"
features = [
    "debug",
    "deref",
    "deref_mut",
    "display",
    "from",
]
default-features = false

[dependencies.editor-command]
version = "0.1.0"

[dependencies.futures]
version = "0.3.28"

[dependencies.indexmap]
version = "2.0.0"
default-features = false

[dependencies.itertools]
version = "0.13.0"

[dependencies.notify]
version = "6.1.1"
features = ["macos_fsevent"]
default-features = false

[dependencies.persisted]
version = "0.3.1"
features = ["serde"]

[dependencies.ratatui]
version = "0.28.0"
features = [
    "crossterm",
    "underline-color",
    "unstable-widget-ref",
]
default-features = false

[dependencies.reqwest]
version = "0.12.5"
default-features = false

[dependencies.serde]
version = "1.0.204"
default-features = false

[dependencies.serde_json]
version = "1.0.120"
default-features = false

[dependencies.serde_json_path]
version = "0.6.3"

[dependencies.serde_yaml]
version = "0.9.0"
default-features = false

[dependencies.slumber_config]
version = "2.0.0"

[dependencies.slumber_core]
version = "2.0.0"

[dependencies.strum]
version = "0.26.3"
default-features = false

[dependencies.tokio]
version = "1.39.2"
features = [
    "macros",
    "signal",
]
default-features = false

[dependencies.tracing]
version = "0.1.40"

[dependencies.tree-sitter-highlight]
version = "0.22.6"

[dependencies.tree-sitter-json]
version = "0.21.0"

[dependencies.unicode-width]
version = "0.1.13"

[dependencies.uuid]
version = "1.10.0"
default-features = false

[dev-dependencies.pretty_assertions]
version = "1.4.0"

[dev-dependencies.rstest]
version = "0.21.0"
default-features = false

[dev-dependencies.slumber_core]
version = "2.0.0"
features = ["test"]
